Subject: [Idr] Fw: New Version Notification for draft-ietf-idr-route-leak-detection-mitigation-04.txt

From: "Sriram, Kotikalapudi (Fed)" <[email-masked]>
Date: Sat, 9 Jul 2016 00:45:51 +0000

Minor updates done in this new version:

1. Added a reference to the discussions from the NANOG list in June 2016
 which provide support for the material on "Intra-AS Messaging for Route Leak Prevention" in Section 3.2.

2. The last paragraph in Section 4 is new. 
This paragraph actually belongs more suitably at the end of Section 5.4.  Will make that move in the next revision.

Sriram
________________________________________
From: [email-masked] <[email-masked]>
Sent: Friday, July 8, 2016 5:35 PM
To: Brian Dickson; Montgomery, Douglas (Fed); Keyur Patel; Andrei Robachevsky; Sriram, Kotikalapudi (Fed)
Subject: New Version Notification for draft-ietf-idr-route-leak-detection-mitigation-04.txt

A new version of I-D, draft-ietf-idr-route-leak-detection-mitigation-04.txt
has been successfully submitted by Kotikalapudi Sriram and posted to the
IETF repository.

Name:           draft-ietf-idr-route-leak-detection-mitigation
Revision:       04
Title:          Methods for Detection and Mitigation of BGP Route Leaks
Document date:  2016-07-08
Group:          idr
Pages:          22
URL:            https://www.ietf.org/internet-drafts/draft-ietf-idr-route-leak-detection-mitigation-04.txt
Status:         https://datatracker.ietf.org/doc/draft-ietf-idr-route-leak-detection-mitigation/
Htmlized:       https://tools.ietf.org/html/draft-ietf-idr-route-leak-detection-mitigation-04
Diff:           https://www.ietf.org/rfcdiff?url2=draft-ietf-idr-route-leak-detection-mitigation-04

Abstract:
   [I-D.ietf-grow-route-leak-problem-definition] provides a definition
   of the route leak problem, and also enumerates several types of route
   leaks.  This document first examines which of those route-leak types
   are detected and mitigated by the existing origin validation (OV)
   [RFC 6811].  It is recognized that OV offers a limited detection and
   mitigation capability against route leaks.  This document specifies
   enhancements that significantly extend the route-leak prevention,
   detection, and mitigation capabilities of BGP.  One solution
   component involves carrying a per-hop route-leak protection (RLP)
   field in BGP updates.  The RLP field is proposed be carried in a new
   optional transitive attribute, called BGP RLP attribute.  The
   solution is meant to be initially implemented as an enhancement of
   BGP without requiring BGPsec [I-D.ietf-sidr-bgpsec-protocol].
   However, when BGPsec is deployed in the future, the solution can be
   incorporated in BGPsec, enabling cryptographic protection for the RLP
   field.  That would be one way of implementing the proposed solution
   in a secure way.  The document also includes a stopgap method for
   detection and mitigation of route leaks for an intermediate phase
   when OV is deployed but BGP protocol on the wire is unchanged.